﻿using System;
using Destructurama.Attributed;

namespace RestApiTemplate.Application.Dtos.Response
{
    /// <summary>
    /// Modelo anêmico para resposta, para inibir/substituir o valor de alguma propriedade sensível nos logs, utilize a notation [LogMasked] na propriedade desejada. 
    /// Mais exemplos de mascaras no arquivo readme.
    /// </summary>
    public class ExampleResponse
    {
        public Guid Id { get; set; }
        public string Name { get; set; }
        public decimal Price { get; set; }
        public bool IsEnabled { get; set; }
    }
}
