﻿using System;
using System.Threading.Tasks;

using Microsoft.EntityFrameworkCore;

using Rchlo.Omni.Common.Models;

using RestApiTemplate.Application.Dtos.Request;
using RestApiTemplate.Application.Dtos.Response;

namespace RestApiTemplate.Application.Services.Interfaces
{
    public interface IExampleService
    {
        Task<ReturnMessage<IPagedList<ExampleResponse>>> GetEnabledExamplesAsync(ExampleGetEnabledRequest example);
     
        Task<ReturnMessage<ExampleResponse>> InsertExampleAsync(ExampleRequest exampleRequest);

        Task<ReturnMessage<ExampleResponse>> EnableExampleAsync(Guid exampleId);
    }
}
