﻿using System.Diagnostics.CodeAnalysis;

namespace RestApiTemplate.Domain.Constants
{
    /// <summary>
    /// Classe centralizadora das constantes de negócio da aplicação
    /// </summary>
    /// <remarks>ExcludeFromCodeCoverage - não tem necessidade de passar pelo Code Coverage</remarks>
    [ExcludeFromCodeCoverage]
    public static class BussinessConstants
    {
        public const decimal PRICE_LESS_THAN = 10;
        public const decimal PRICE_GREATER_THAN = 0;
        public const int MIN_VALUE_PAGE_INDEX = 0;
    }
}
