﻿using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Metadata.Builders;
using RestApiTemplate.Domain.Entities;
using System.Diagnostics.CodeAnalysis;

namespace RestApiTemplate.Infrastructure.Data.Mappings
{
    /// <summary>
    /// Mapeando as Entidades 
    /// </summary>
    [ExcludeFromCodeCoverage]
    public class ExampleMapping : IEntityTypeConfiguration<Example>
    {
        public void Configure(EntityTypeBuilder<Example> builder)
        {
            builder.ToTable(nameof(Example))
                    .HasKey(_ => _.Id);
        }
    }
}
