﻿using System;
using System.Collections.Generic;
using System.Text;

namespace RestApiTemplate.Application.Dtos.Request
{
    /// <summary>
    /// Modelo anêmico para requisição, para inibir/substituir o valor de alguma propriedade sensível nos logs, utilize a notation [LogMasked] na propriedade desejada. 
    /// Mais exemplos de mascaras no arquivo readme.
    /// </summary>
    public class ExampleGetEnabledRequest
    {
        public decimal PriceMinimum { get; set; }
        public decimal PriceMaximum { get; set; }
        public int PageIndex { get; set; }
        public int PageSize { get; set; }
    }
}
