﻿using System.Diagnostics.CodeAnalysis;

namespace RestApiTemplate.Domain.Constants
{
    /// <summary>
    /// Classe centralizadora das constantes de erros tratados da aplicação
    /// </summary>
    /// <remarks>ExcludeFromCodeCoverage - não tem necessidade de passar pelo Code Coverage</remarks>
    [ExcludeFromCodeCoverage]
    public static class ErrorsConstants
    {
        public const string EXAMPLE_NAO_ENCONTRADO = "Exemplo nao encontrado!";
        public const string MIN_VALULE_GREATER_THAN_MAX_VALUE = "O valor mínimo não pode ser maior do que o máximo";
        public const string PASSWORD_INCORRECT_FORMAT = "A senha está fora do padrão";
    }
}
